%define major 1
%define libname %mklibname %{name}_ %{major}

Summary:	OpenH323 Library
Name:		openh323
Version:	1.15.3
Release:	3mdk
License:	MPL
Group:		System/Libraries
URL:		http://www.openh323.org/
Source0:	%{name}-%{version}.tar.bz2
Patch0:		openh323-1.15.0-mak_files.diff.bz2
Patch1:		openh323-1.15.0-libname.diff.bz2
Patch2:		openh323-1.15.1-pic.diff.bz2
Patch3:		openh323-1.15.1-pwlib.diff.bz2
Patch6:		openh323-1.15.3-install_fix.patch.bz2
Patch7:		openh323-1.15.1-lib64.diff.bz2
# (fc) fix build for AMD64 (Debian)
Patch8:		openh323-1.15.3-amd64.patch.bz2
# (oe) make latest opengk compile
Patch9:		openh323-1.15.3-cvs_fixes.diff.bz2
BuildRequires:	autoconf2.5
BuildRequires:	gawk
BuildRequires:	openssl-devel
BuildRequires:	openldap-devel
BuildRequires:	pwlib-devel >= 1.8.4
BuildRequires:	libspeex-devel
#BuildRequires:	vpb-devel
BuildRequires:	XFree86-devel
# (oe) these conflicts for now. i was planning to build against them,
# but i save it for a rainy day, or someone else could fix it ;)
BuildConflicts:	gsm-devel
BuildConflicts:	libilbc-devel
BuildConflicts:	vpb-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This is a Open Source class library for the development of
applications that wish to use the H.323 protocol for multi-media
communications over packet based networks.

%package -n	%{libname}
Summary:	OpenH323 Library
Group:		System/Libraries
Provides:	%{name}_%{major} = %{version}-%{release}
Obsoletes:	%{name}_%{major}
Requires:	%{libname}-plugins >= %{version}-%{release}

%description -n	%{libname}
The OpenH323 project aims to create a full featured, interoperable,
Open Source implementation of the ITU H.323 teleconferencing protocol
that can be used by personal developers and commercial users without
charge.

%package -n	%{libname}-devel
Summary:	OpenH323 development files
Group:		Development/C
Requires:	%{libname} = %{version}-%{release} 
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Obsoletes:	%{name}_%{major}-devel
Provides:	%{name}_%{major}-devel = %{version}-%{release}

%description -n	%{libname}-devel
Header files and libraries for developing applications that use
OpenH323.

%package -n	%{libname}-plugins
Summary:	Plugins for OpenH323
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}
Obsoletes:	%{libname}-plugins-g726
Provides:	%{libname}-plugins-g726 = %{version}-%{release}
Provides:	lib%{name}-plugins-g726 = %{version}-%{release}
Provides:	%{name}-plugins-g726 = %{version}-%{release}
Obsoletes:	%{libname}-plugins-gsm0610
Provides:	%{libname}-plugins-gsm0610 = %{version}-%{release}
Provides:	lib%{name}-plugins-gsm0610 = %{version}-%{release}
Provides:	%{name}-plugins-gsm0610 = %{version}-%{release}
Obsoletes:	%{libname}-plugins-ilbc
Provides:	%{libname}-plugins-ilbc = %{version}-%{release}
Provides:	lib%{name}-plugins-ilbc = %{version}-%{release}
Provides:	%{name}-plugins-ilbc = %{version}-%{release}
Obsoletes:	%{libname}-plugins-ima
Provides:	%{libname}-plugins-ima = %{version}-%{release}
Provides:	lib%{name}-plugins-ima = %{version}-%{release}
Provides:	%{name}-plugins-ima = %{version}-%{release}
Obsoletes:	%{libname}-plugins-lpc10
Provides:	%{libname}-plugins-lpc10 = %{version}-%{release}
Provides:	lib%{name}-plugins-lpc10 = %{version}-%{release}
Provides:	%{name}-plugins-lpc10 = %{version}-%{release}
Obsoletes:	%{libname}-plugins-speex
Provides:	%{libname}-plugins-speex = %{version}-%{release}
Provides:	lib%{name}-plugins-speex = %{version}-%{release}
Provides:	%{name}-plugins-speex = %{version}-%{release}

%description -n	%{libname}-plugins
This package contains all codec plugins for OpenH323 

%prep

%setup -q 
%patch0 -p0 -b .mak_files
%patch1 -p0 -b .libname
%patch2 -p0 -b .pic
%patch3 -p0 -b .pwlib
%patch6 -p0 -b .install_fix
%patch7 -p1 -b .lib64
%patch8 -p1 -b .amd64
%patch9 -p1 -b .gkserver

%build
#don't set this otherwise it will be automatically used by pwlib/openh323 build
#system
export RPM_OPT_FLAGS="" 
export OPT_FLAGS="%{optflags}"
%define optflags ""
autoconf

%configure2_5x \
    --enable-localspeex \
    --enable-h263avcodec \

#parallel build is broken
make OPTCCFLAGS="$OPT_FLAGS" optshared PREFIX=%{_prefix} OH323_INCDIR=$RPM_BUILD_DIR/%{name}-%{version}/include
#%%make optshared 

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

install -d %{buildroot}%{_libdir}

%makeinstall_std

#fix doc perms
chmod a+r *.txt *.htm

# fix strange perms
find %{buildroot} -type d -perm 0700 -exec chmod 755 {} \;
find %{buildroot} -type f -perm 0555 -exec chmod 755 {} \;
find %{buildroot} -type f -perm 0444 -exec chmod 644 {} \;

%post -p /sbin/ldconfig -n %{libname}

%postun -p /sbin/ldconfig -n %{libname}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%doc *.txt mpl-1.0.htm
%attr(0755,root,root) %{_libdir}/lib*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%attr(0755,root,root) %{_libdir}/*.so
%{_includedir}/*
%{_datadir}/openh323

%files -n %{libname}-plugins
%defattr(-,root,root)
%dir %{_libdir}/pwlib/codecs
%dir %{_libdir}/pwlib/codecs/audio
%attr(0755,root,root) %{_libdir}/pwlib/codecs/audio/*.so

%changelog
* Tue Mar 22 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1.15.3-3mdk 
- added P9 from cvs to make latest opengk compile

* Tue Mar 08 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.15.3-2mdk 
- Patch7 (Debian): fix build for AMD64

* Mon Mar 07 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.15.3-1mdk 
- Release 1.15.3
- Regenerate patch6

* Fri Feb 04 2005 Buchan Milne <bgmilne@linux-mandrake.com> 1.15.2-3mdk
- rebuild for ldap2.2_7

* Wed Dec 08 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.15.2-2mdk
- Merge all codec subpackages in one big plugins package (request from GM team)

* Mon Dec 06 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.15.2-1mdk
- Release 1.15.2
- Remove patch5 (merged upstream)

* Wed Nov 10 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.15.1.2mdk
- rediffed the lib64 patch and renumber it as P7
- merge stuff from 1.13.5.3-1mdk -> 1.13.5.3-4mdk:
  - Merge from old 10.0-branch: (Gwenole Beauchesne - 1.13.5.3-4mdk)
    * Patch8: extra lib64 fixes, aka use LIB defined from pwlib (Gwenole Beauchesne - 1.13.5.3-4mdk)
  - BuildConflicts on vpb-devel, it was causing Mdk bug #11582 (Frederic Crozat - 1.13.5.3-3mdk )
  - Remove patch4 (no longer needed) (Frederic Crozat - 1.13.5.3-2mdk)
  - Patch7 : new version of iLBC codec (fix Mdk bug #11582) (Frederic Crozat - 1.13.5.3-2mdk)
  - Update with Janus patch4 release (Frederic Crozat - 1.13.5.3-1mdk)
  - Remove patch7 (no longer needed) (Frederic Crozat - 1.13.5.3-1mdk)

* Wed Nov 10 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.15.1.1mdk
- 1.15.1
- rediffed P2, P3 and merge P4 into P6

* Wed Nov 10 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.15.1.1mdk
- 1.15.1
- rediffed P2, P3 and merge P4 into P6

* Wed Sep 15 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 1.15.0-1mdk
- 1.15.0
- rediff, reorder patches and clean up the spec file some
- added the %%{libname}-plugins-* sub packages just like pwlib

* Wed Jun 16 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 1.13.5-2mdk
- Rebuild 

* Thu May 20 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.13.5-1mdk
- 1.13.5
- fix buildrequires
- regenerate P2

* Wed Apr 21 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.13.4-2mdk
- fix buildrequires

* Mon Apr 19 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.13.4-1mdk
- 1.13.4
- regenerate P2
- drop P4 (fixed upstream)
- do autoconf in %%build, not %%prep
- enable local speex version, won't compile against ours
- fix problem with symlink for devel lib (P6, am I doing something wrong here? seems to work well though..)

* Thu Feb 12 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.12.2-1mdk
- Release 1.12.2
- Remove patch 3 (merged upstream)
- Regenerate patch 4
- Patch5 : fix pwlib detection

* Fri Sep 19 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.12.0-4mdk
- fix lib64 patch

* Mon Sep 15 2003 Florin <florin@mandrakesoft.com> 1.12.0-3mdk
- update the BuildRequires

* Wed Jul 16 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.12.0-2mdk
- rebuild for latest deps
- Update patch4 for correct install

* Wed Jul 16 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 1.12.0-1mdk
- Release 1.12.0
- libification / mklibnamification
- Regenerate patches 0, 1, 2, 3
- Patch4 : fix make install

* Wed Mar 05 2003 Florin <florin@mandrakesoft.com> 1.11.2-5mdk
- rebuild

* Mon Jan 20 2003 Florin <florin@mandrakesoft.com> 1.11.2-4mdk
- rebuild for 9.0

* Mon Jan 20 2003 Florin <florin@mandrakesoft.com> 1.11.2-3mdk
- fix the pwlib BuildRequires 
- remove the obsolete Speex patch and source

* Fri Jan 17 2003 Florin <florin@mandrakesoft.com> 1.11.2-1mdk
- 1.11.2

* Mon Dec  2 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.9.10-4mdk
- Fix %%doc
- Patch3: Build objects with PIC
- Patch4: Make it lib64 aware

* Wed Oct 30 2002 Stew Benedict <sbenedict@mandrakesoft.com> 1.9.10-3mdk
- remove egcs++ usage for PPC

* Fri Oct 25 2002 Florin <florin@mandrakesoft.com> 1.9.10-2mdk
- add the forgotten speex headers
- add some docs

* Thu Oct 24 2002 Florin <florin@mandrakesoft.com> 1.9.10-1mdk
- 1.9.10

* Wed Oct 09 2002 Laurent Grawet <laurent.grawet@ibelgique.com> 1.9.9-2mdk
- Added Speex support and patch4

* Tue Oct 08 2002 Laurent Grawet <laurent.grawet@ibelgique.com> 1.9.9-1mdk
- 1.9.9
- regenerated patch0, added patch3 (gcc 3.2 fix)

* Tue Aug 13 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.9.3-2mdk
- Automated rebuild with gcc 3.2-0.3mdk

* Thu Aug 01 2002 Florin <florin@mandrakesoft.com> 1.9.3-1mdk
- 1.9.3

* Thu Jul 25 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.8.8-2mdk
- Automated rebuild with gcc3.2

* Tue Jun 04 2002 Florin <florin@mandrakesoft.com> 1.8.8-1mdk
- 1.8.8

* Fri May 03 2002 Florin <florin@mandrakesoft.com> 1.8.5-1mdk
- 1.8.5
- comment out the timeout patch

* Sat Mar 23 2002 David BAUDENS <baudens@mandrakesoft.com> 1.8.0-4mdk
- Requires: %%version-%%release and not only %%version

* Mon Mar 11 2002 Florin <florin@mandrakesoft.com> 1.8.0-3mdk
- recompile with the latest pwlib

* Wed Feb 27 2002 Stew Benedict <sbenedict@mandrakesoft.com> 1.8.0-2mdk
- PPC gcc295 doesn't care for data member `ip_opts' with same 
- name as enclosing class - build with egcs++

* Tue Feb 26 2002 Florin <florin@mandrakesoft.com> 1.8.0-1mdk
- 1.8.0
- add the timeout patch
- update the requires
- update the libname patch

* Thu Nov 29 2001 Florin <florin@mandrakesoft.com> 1.7.4-1mdk
- 1.7.1
- new libname patch

* Mon Nov 19 2001 Florin <florin@mandrakesoft.com> 1.7.3-1mdk
- 1.7.3

* Fri Oct 19 2001 Florin <florin@mandrakesoft.com> 1.7.1-1mdk
- 1.7.1

* Wed Sep 19 2001 Florin <florin@mandrakesoft.com> 1.6.1-2mdk
- update the fix patch

* Tue Sep 11 2001 Florin <florin@mandrakesoft.com> 1.6.1-1mdk
- 1.6.1
- add the fix patch

* Tue Aug 14 2001 Florin <florin@mandrakesoft.com> 1.6.0-2mdk
- modify a little bit the patch and merge with redhat

* Tue Aug 14 2001 Florin <florin@mandrakesoft.com> 1.6.0-1mdk
- 1.6.0

* Sun Jul 22 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.5.6-1mdk
- 1.5.6 (reworked patch 0)

* Sun Jun 24 2001 Stefan van der Eijk <stefan@eijk.nu> 1.1.1-4mdk
- add description
- bzipped patches

* Thu Jun 21 2001 Stefan van der Eijk <stefan@eijk.nu> 1.1.1-3mdk
- BuildRequires:	XFree86-devel

* Sun Jun 10 2001 Stefan van der Eijk <stefan@eijk.nu> 1.1.1-2mdk
- BuildRequires:	pwlib-devel

* Mon Jan 15 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.1.1-1mdk
- first Linux-Mandrake version.
